Subject: RE: Weird path duplication for shell scripts?
From: "Jon Leichter" <[email-masked]>
To: "David O'Riva" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 2 Nov 1999 09:14:02 -0800

I saw this EXACT same problem when I 'upgraded' to the Jan 15, 1999 Cygwin
DLL. I didn't see it right away. It just happened one day, after I had been
using the new DLL for a couple of days. I tried reverting back to the Dec 1998
Cygwin DLL, and the problem went away.

I wonder if anyone has more insight on this.

Jon Leichter
[email-masked]

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David O'Riva
> Sent: Tuesday, November 02, 1999 8:38 AM
> To: [email-masked]
> Subject: Weird path duplication for shell scripts?
>
>
> Cygwin b20.1, Windows NT sp4
>
> While building man, I ran into this odd problem:  Executing a shell
> script with an explicit relative path causes duplication of the path
> section, resulting in the script failing.  Example:
>
> [assumes a subdirectory "x" containing a shell script "scr"]
> bash$ x/scr
> x/x/scr: Can't open x/x/scr
> bash$
>
> STRACE confirms this:
> [...]
> 15746  644741 [main] sh 1022 dll_crt0_1: Application CYGWIN version:
> 20.1, api: 0.0
> 16564  661305 [main] sh 1022 dll_crt0_1: CYGWIN DLL version: 21.0, api:
> 0.8
> 16610  677915 [main] sh 1022 build_argv: argv[0] = '/usr/bin/sh.exe'
> 16627  694542 [main] sh 1022 build_argv: argv[1] = 'x/x/scr'
> 16787  711329 [main] sh 1022 build_argv: argv[2] = '(null)'
> 16552  727881 [main] sh 1022 DllList::initAll: call to DllList::initAll
> 16658  744539 [main] sh 1022 dll_crt0_1: user_data->main 0x40105C
> 17111  761650 [main] sh 1022 _open: open (x/x/scr, 0x0)
> [...]
>
> Help??  Sorry if this has been addressed before, couldn't find a thing
> in the archives or the FAQ...
>
> --
> -dave        _________________________
> ------------/      David O'Riva       \--------------
> 408-        | Staff Software Engineer | oriva@
>  473-9413   |    Atari Games, Inc.    |   agames.com
>             \_________________________/
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]